import java.awt.Container;
import java.awt.Insets;

public class Class240 {

   short aShort2842;
   int[] anIntArray2843;
   public static final int anInt2844 = 4;
   public static final int anInt2845 = 8;
   public static final int anInt2846 = 16;
   byte aByte2847;
   byte aByte2848;
   short aShort2849;
   short[] aShortArray2850;
   short aShort2851;
   public static final int anInt2852 = 2;
   public static final int anInt2853 = 1;
   int[] anIntArray2854;
   int[] anIntArray2855;
   short aShort2856;
   short[] aShortArray2857;
   short[] aShortArray2858;


   Class240(Class241 var1, int var2, int var3, int var4, int var5, int var6, int var7, int var8, int var9, int var10, int var11, int var12, int var13, int var14, int var15) {
      this.aByte2847 = (byte)var2;
      this.aByte2848 = (byte)var3;
      this.anIntArray2843 = new int[4];
      this.anIntArray2854 = new int[4];
      this.anIntArray2855 = new int[4];
      this.anIntArray2843[0] = var4;
      this.anIntArray2843[1] = var5;
      this.anIntArray2843[2] = var6;
      this.anIntArray2843[3] = var7;
      this.anIntArray2854[0] = var8;
      this.anIntArray2854[1] = var9;
      this.anIntArray2854[2] = var10;
      this.anIntArray2854[3] = var11;
      this.anIntArray2855[0] = var12;
      this.anIntArray2855[1] = var13;
      this.anIntArray2855[2] = var14;
      this.anIntArray2855[3] = var15;
      this.aShort2849 = (short)(var4 >> 1261520001 * var1.anInt2860);
      this.aShort2856 = (short)(var6 >> var1.anInt2860 * 1261520001);
      this.aShort2851 = (short)(var12 >> 1261520001 * var1.anInt2860);
      this.aShort2842 = (short)(var14 >> var1.anInt2860 * 1261520001);
      this.aShortArray2850 = new short[4];
      this.aShortArray2857 = new short[4];
      this.aShortArray2858 = new short[4];
   }

   static final void method4161(Class124 var0, Class121 var1, Class508 var2, int var3) {
      var2.anInt6003 -= 196624946;
      var0.anInt1419 = var2.anIntArray6027[var2.anInt6003 * -937710807] * -1891688347;
      var0.anInt1420 = var2.anIntArray6027[var2.anInt6003 * -937710807 + 1] * -1362259447;
      Class460.method7767(var0, 1720795810);
   }

   static final void method4162(Class508 var0, int var1) {
      String var2 = (String)var0.anObjectArray6004[(var0.anInt6005 -= -46848683) * 639741949];
      Class279.method5057(var2, 1140878101);
   }

   static final void method4163(Class508 var0, int var1) {
      Class118_Sub7.anInt8246 = 0;
   }

   static final void method4164(Class508 var0, int var1) {
      String var2 = (String)var0.anObjectArray6004[(var0.anInt6005 -= -46848683) * 639741949];
      var0.anInt6003 -= 294937419;
      int var3 = var0.anIntArray6027[var0.anInt6003 * -937710807];
      int var4 = var0.anIntArray6027[1 + -937710807 * var0.anInt6003];
      int var5 = var0.anIntArray6027[var0.anInt6003 * -937710807 + 2];
      Class151.method2750(var2, 1 == var3, var4, var5, (byte)0);
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = Class504.anInt5976 * -186793971;
   }

   static final void method4165(Class508 var0, int var1) {
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = Class500.aClass225_Sub6_5953.aClass463_Sub9_8502.method12871(-1798145327);
   }

   public static void method4166(byte var0) {
      if(Class419.aClass422_5327.anInt5346 * -72158445 != -1) {
         Class16.method755(Class419.aClass422_5327.anInt5346 * -72158445, Class419.aClass422_5327.aString5344, 1328983853);
      }

   }

   static void method4167(int var0, int var1, int var2, int var3, boolean var4, int var5) {
      if(Class446.aBool5570 && null != Class254.aFrame3020 && (var1 != 3 || 1567592625 * Class102.anInt1008 != var2 || 1111684795 * Class72.anInt688 != var3)) {
         Class173.method3046(Class127.aClass466_1542, Class254.aFrame3020, 1521728267);
         Class254.aFrame3020 = null;
      }

      if(Class446.aBool5570 && 3 == var1 && null == Class254.aFrame3020) {
         Class254.aFrame3020 = Class515_Sub1_Sub5_Sub1.method16748(Class127.aClass466_1542, var2, var3, 0, 0, 1634413207);
         if(Class254.aFrame3020 != null) {
            Class102.anInt1008 = -2014005167 * var2;
            Class72.anInt688 = var3 * 1326440051;
            Class7.method605(-1358477367);
         }
      }

      if(var1 == 3 && (!Class446.aBool5570 || null == Class254.aFrame3020)) {
         method4167(var0, Class500.aClass225_Sub6_5953.aClass463_Sub17_8491.method12946((byte)-24), -1, -1, true, 1487622887);
      } else {
         Container var6 = Class274.method4851(2021904312);
         Insets var7;
         if(Class254.aFrame3020 != null) {
            client.anInt3305 = 1597763337 * var2;
            Class463_Sub14.anInt8016 = var3 * -1419086691;
         } else if(null != Class268.aFrame3105) {
            var7 = Class268.aFrame3105.getInsets();
            int var10001 = var7.left + var7.right;
            client.anInt3305 = (Class268.aFrame3105.getSize().width - var10001) * 1597763337;
            var10001 = var7.top + var7.bottom;
            Class463_Sub14.anInt8016 = (Class268.aFrame3105.getSize().height - var10001) * -1419086691;
         } else {
            client.anInt3305 = var6.getSize().width * 1597763337;
            Class463_Sub14.anInt8016 = var6.getSize().height * -1419086691;
         }

         if(client.anInt3305 * 2059685689 <= 0) {
            client.anInt3305 = 1597763337;
         }

         if(Class463_Sub14.anInt8016 * -854085195 <= 0) {
            Class463_Sub14.anInt8016 = -1419086691;
         }

         if(var1 != 1) {
            Class118_Sub13.method13200((byte)33);
         } else {
            Class563.anInt7495 = -287113347 * client.anInt7796;
            client.anInt3325 = (client.anInt3305 * 2059685689 - 533440115 * client.anInt7796) / 2 * -1490729669;
            Class440.anInt5458 = client.anInt7797 * 354637443;
            client.anInt3317 = 0;
         }

         if(Class502.aClass487_5957 != Class487.aClass487_5903 && 759890095 * Class563.anInt7495 < 1024 && Class440.anInt5458 * 1404657485 < 768) {
            ;
         }

         if(!var4) {
            Class572.aCanvas7591.setSize(759890095 * Class563.anInt7495, 1404657485 * Class440.anInt5458);
            Class428.aClass545_5383.method11450(Class572.aCanvas7591, 759890095 * Class563.anInt7495, 1404657485 * Class440.anInt5458, -1115352960);
            if(var6 == Class268.aFrame3105) {
               var7 = Class268.aFrame3105.getInsets();
               Class572.aCanvas7591.setLocation(var7.left + 1402293235 * client.anInt3325, client.anInt3317 * -1285172503 + var7.top);
            } else {
               Class572.aCanvas7591.setLocation(client.anInt3325 * 1402293235, client.anInt3317 * -1285172503);
            }
         } else {
            Class573.method12193(689519796);
         }

         if(var1 >= 2) {
            client.aBool7943 = true;
         } else {
            client.aBool7943 = false;
         }

         Class479.method8074(1758532871);
         if(-1 != client.anInt7831 * 1231941283) {
            Class70_Sub1.method13064(true, -2031871324);
         }

         if(client.aClass180_7704.method3206((byte)-68) != null && Class118_Sub6.method13180(client.anInt7734 * 1881519639, 231535812)) {
            Class42.method1124((byte)-59);
         }

         for(int var8 = 0; var8 < 111; ++var8) {
            client.aBoolArray7951[var8] = true;
         }

         client.aBool3302 = true;
      }
   }

   static final void method4168(Class508 var0, byte var1) {
      Class505 var10000;
      if(var0.aBool6014) {
         if(var1 != 2) {
            ;
         }

         var10000 = var0.aClass505_6011;
      } else {
         var10000 = var0.aClass505_6010;
      }

      Class505 var2 = var10000;
      Class124 var3 = var2.aClass124_5977;
      Class121 var4 = var2.aClass121_5978;
      Class463_Sub24.method13006(var3, var4, var0, (byte)0);
   }
}
